    if(IsEnglish())
    {
        languageValue="en"
    }else
    {
        languageValue="ch";
    }

    var input_css_class=" class=\" x-form-text x-form-field\"  ";
	var	fixedX = -1;			
	var	fixedY = -1;			
	var startAt = 1	;		
	var showWeekNumber = 0;
	var showToday = 1;		
	var showTime =1;       
	var imgDir = "resources/images/datetime/";
	var gotoString = "Go To Current Month";
	var todayString = "今天是";
	var weekString = "Wk";
	var scrollLeftMessage = "Click to scroll to previous month. Hold mouse button to scroll automatically.";
	var scrollRightMessage = "Click to scroll to next month. Hold mouse button to scroll automatically.";
	var selectMonthMessage = "Click to select a month.";
	var selectYearMessage = "Click to select a year.";
	var selectDateMessage = "Select [date] as date." ;

	var	crossobj, crossMonthObj, crossYearObj, monthSelected, yearSelected, dateSelected, omonthSelected, oyearSelected, odateSelected, monthConstructed, yearConstructed, intervalID1, intervalID2, timeoutID1, timeoutID2, ctlToPlaceValue, ctlNow, dateFormat, nStartingYear;
	var frameobj;

	var	bPageLoaded=false;
	var	view_is_ie=document.all;
	var	my_dom=document.getElementById;

	var	ns4=document.layers;
	var	today =	new Date();
	var	dateNow	 = today.getDate();
	var	monthNow = today.getMonth();
	var	yearNow	 = today.getYear();
	var	imgsrc = new Array("drop1.gif","drop2.gif","left1.gif","left2.gif","right1.gif","right2.gif");
	var	img	= new Array();
	var bShow = false;
	//var languageValue="ch";
	if(languageValue==undefined || languageValue=="")
	{//默认为简体中文
	    languageValue="ch";
	}
	
    function hideElement( elmID, overDiv )
    {
      if(view_is_ie)
      {
        for( i = 0; i < document.all.tags( elmID ).length; i++ )
        {
          obj = document.all.tags( elmID )[i];
          if( !obj || !obj.offsetParent )
          {
            continue;
          }
          objLeft   = obj.offsetLeft;
          objTop    = obj.offsetTop;
          objParent = obj.offsetParent;
          
          while( objParent.tagName.toUpperCase()!= "BODY" )
          {
            objLeft  += objParent.offsetLeft;
            objTop   += objParent.offsetTop;
            objParent = objParent.offsetParent;
          }

        objHeight = obj.offsetHeight;
          objWidth = obj.offsetWidth;
      
          if(( overDiv.offsetLeft + overDiv.offsetWidth ) <= objLeft );
          else if(( overDiv.offsetTop + overDiv.offsetHeight ) <= objTop );
          else if( overDiv.offsetTop >= ( objTop + objHeight ));
          else if( overDiv.offsetLeft >= ( objLeft + objWidth ));
          else
          {
            obj.style.visibility = "hidden";
          }
        }
      }
    }
     

    function showElement( elmID )
    {
      if( view_is_ie )
      {
        for( i = 0; i < document.all.tags( elmID ).length; i++ )
        {
          obj = document.all.tags( elmID )[i];
          
          if( !obj || !obj.offsetParent )
          {
            continue;
          }
        
          obj.style.visibility = "";
        }
      }
    }

	function HolidayRec (d, m, y, desc)
	{
		this.d = d;
		this.m = m;
		this.y = y;
		this.desc = desc;
	}

	var HolidaysCounter = 0;
	var Holidays = new Array();

	function addHoliday (d, m, y, desc)
	{
		Holidays[HolidaysCounter++] = new HolidayRec ( d, m, y, desc );
	}



	if (my_dom)
	{
		for	(i=0;i<imgsrc.length;i++)
		{
			img[i] = new Image;
			img[i].src = imgDir + imgsrc[i];
		}
		
		document.write("<iframe id='frameid' bgcolor='#ffffff' style='z-index:9900;position:absolute;visibility:hidden;' ></iframe>");
		
		document.write ("<div onclick='bShow=true' id='calendar' style='z-index:9910;position:absolute;visibility:hidden;'><table	width="+((showWeekNumber==1)?260:230)+" style='font-family:arial;font-size:11px;border-width:1;border-style:solid;border-color:#a0a0a0;font-family:arial; font-size:11px}' bgcolor='#ffffff'><tr bgcolor='#0000aa'><td><table width='"+((showWeekNumber==1)?258:228)+"'><tr><td nowrap style='padding:2px;font-family:arial; font-size:11px;'><font color='#ffffff'><B><span  id='caption'></span><span id='showTopToday'></span></B></font></td><td align=right><a href='javascript:hideCalendar()'><IMG SRC='"+imgDir+"close.gif' WIDTH='15' HEIGHT='13' BORDER='0' ALT='Close the Calendar'></a></td></tr></table></td></tr><tr><td style='padding:5px' bgcolor=#ffffff><span id='content'></span></td></tr>");
			
		var now=new Date();

		var time_msg="时间";
		var include_time="包括时间";
		if(languageValue=="ch")
		{
		    time_msg="时间";
		    include_time="包括时间";
			
		}else
		{
			time_msg="Time";
			include_time="Add Time";
		}
		
		
		if (showTime==1)
		{
			document.write ("<tr bgcolor=#f0f0f0 id='include_time_tr' ><td  style='padding:2px' align=center><b  style='color:#000000' >"+time_msg+":&nbsp;</b><input    "+input_css_class+"  type=text value='00' name='time_hh' style='width:21px' maxlength=2  onchange='if ((this.value>=0)&&(this.value<25)){}else{this.value=now.getHours()}'>&nbsp;<b>:</b>&nbsp;<input   "+input_css_class+"  type=text value='00' name='time_mm' style='width:21px' maxlength=2  onchange='if ((this.value>=0)&&(this.value<=60)){}else{this.value=now.getMinutes()}'> &nbsp;<input   "+input_css_class+"  type=checkbox name='include_time' checked id='include_time_inputcheck'  onclick='if(this.checked) {time_mm.disabled=false;time_hh.disabled=false;}else{time_mm.disabled=true;time_hh.disabled=true}'>&nbsp;<b style='color:#000000'  id='include_time_showmsg' >"+include_time+"</b><span id='lbTime'></span></td></tr>");
		}
		if (showToday==1)
		{
			document.write ("<tr bgcolor=#f0f0f0><td style='padding:5px' align=center><span id='lblToday'></span></td></tr>");
		}
		document.write ("</table></div><div id='selectMonth' style='z-index:9930;position:absolute;visibility:hidden;'></div><div id='selectYear' style='z-index:9930;position:absolute;visibility:hidden;'></div>");
	}

	var	monthName =	new	Array("一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一","十二");
	var	monthName3 =new	Array("1","2","3","4","5","6","7","8","9","10","11","12");
	var	monthName2 = new Array("JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC");
	if (startAt==0)
	{
		dayName = new Array	("周日","周一","周二","周三","周四","周五","周六");
	}
	else
	{
		dayName = new Array	("周一","周二","周三","周四","周五","周六","周日");
	}	
	if(languageValue=="ch")
	{
		monthName2 =	new	Array("一月","二月","三月","四月","五月","六月","七月","八月","九月","十月","十一","十二");
	}else
	{
			monthName =	new Array("JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC");
			if (startAt==0)
			{
				dayName = new Array	("Sun","Mon","Tue","Wed","Thu","Fri","Sat");
			}
			else
			{
				dayName = new Array	("Mon","Tue","Wed","Thu","Fri","Sat","Sun");
			}
	}	
	var	styleAnchor="text-decoration:none;color:black;";
	var	styleLightBorder="border-style:solid;border-width:1px;border-color:#a0a0a0;";
	
	

	function swapImage(srcImg, destImg)
	{
		if (view_is_ie)	{ document.getElementById(srcImg).setAttribute("src",imgDir + destImg); }
	}

	function initmeme()
	{
		if (!ns4)
		{
			if (!view_is_ie) 
			{
			    yearNow += 1900;
			}
			crossobj=(my_dom)?document.getElementById("calendar").style : view_is_ie? document.all.calendar : document.calendar;
			hideCalendar();
			crossMonthObj=(my_dom)?document.getElementById("selectMonth").style : view_is_ie? document.all.selectMonth	: document.selectMonth;
			crossYearObj=(my_dom)?document.getElementById("selectYear").style : view_is_ie? document.all.selectYear : document.selectYear;
			frameobj=(my_dom)?document.getElementById("frameid").style : view_is_ie? document.all.frameid : document.frameid;
			monthConstructed=false;
			yearConstructed=false;
			if (showToday==1)
			{
				if(languageValue=="ch")
				{
					document.getElementById("lblToday").innerHTML =	 " <a onmousemove='window.status=\""+gotoString+"\"' onmouseout='window.status=\"\"' title='"+gotoString+"' style='"+styleAnchor+"' href='javascript:monthSelected=monthNow;yearSelected=yearNow;constructCalendar();'>"+todayString+" "+dayName[(today.getDay()-startAt==-1)?6:(today.getDay()-startAt)]+", " +yearNow	+ "年 " + monthName3[monthNow].substring(0,2)	+ "月	"+ dateNow + "日</a>";
				}else
				{
					todayString="Today Is:";
					document.getElementById("lblToday").innerHTML =	 " <a onmousemove='window.status=\""+gotoString+"\"' onmouseout='window.status=\"\"' title='"+gotoString+"' style='"+styleAnchor+"' href='javascript:monthSelected=monthNow;yearSelected=yearNow;constructCalendar();'>"+todayString+" "+dayName[(today.getDay()-startAt==-1)?6:(today.getDay()-startAt)]+", " +yearNow	+ " " + monthName3[monthNow].substring(0,2)	+ "	"+ dateNow + "</a>";
				}
			}
			sHTML1="<span id='spanLeft'	style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer' onmouseover='swapImage(\"changeLeft\",\"left2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+scrollLeftMessage+"\"' onclick='javascript:decMonth()' onmouseout='clearInterval(intervalID1);swapImage(\"changeLeft\",\"left1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onmousedown='clearTimeout(timeoutID1);timeoutID1=setTimeout(\"StartDecMonth()\",500)'	onmouseup='clearTimeout(timeoutID1);clearInterval(intervalID1)'>&nbsp<IMG id='changeLeft' SRC='"+imgDir+"left1.gif' width=10 height=11 BORDER=0>&nbsp</span>&nbsp;";
			sHTML1+="<span id='spanRight' style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer'	onmouseover='swapImage(\"changeRight\",\"right2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+scrollRightMessage+"\"' onmouseout='clearInterval(intervalID1);swapImage(\"changeRight\",\"right1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onclick='incMonth()' onmousedown='clearTimeout(timeoutID1);timeoutID1=setTimeout(\"StartIncMonth()\",500)'	onmouseup='clearTimeout(timeoutID1);clearInterval(intervalID1)'>&nbsp<IMG id='changeRight' SRC='"+imgDir+"right1.gif'	width=10 height=11 BORDER=0>&nbsp</span>&nbsp";
			sHTML1+="<span id='spanMonth' style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer'	onmouseover='swapImage(\"changeMonth\",\"drop2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+selectMonthMessage+"\"' onmouseout='swapImage(\"changeMonth\",\"drop1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"' onclick='popUpMonth()'></span>&nbsp;"
			sHTML1+="<span id='spanYear' style='border-style:solid;border-width:1;border-color:#3366FF;cursor:pointer' onmouseover='swapImage(\"changeYear\",\"drop2.gif\");this.style.borderColor=\"#88AAFF\";window.status=\""+selectYearMessage+"\"'	onmouseout='swapImage(\"changeYear\",\"drop1.gif\");this.style.borderColor=\"#3366FF\";window.status=\"\"'	onclick='popUpYear()'></span>&nbsp;"			
			document.getElementById("caption").innerHTML  =	sHTML1;
			bPageLoaded=true;
		}
	}
	
    function  jcdt(arguments)
    { 
        execScript('tmp=IsDate("'+arguments+'")', 'vbs');
		if (!tmp)
			 return false;
		else
			return true;
    }
    
    function  jcnm(arguments)
    { 
        if (arguments=="") return true;
        execScript('tmp=IsNumeric("'+arguments+'")', 'vbs');
		if (!tmp)
			 return false;
		else
			return true;
    }
    function getnowrq(trq)
    {
       if (trq.readOnly && trq.readOnly==true) return;
       if (trq.disabled==true) return;
	   tmp="";
       execScript('tmp=FormatDateTime(now(), 0)', 'vbs');
       trq.value=tmp;
    }
	function hideCalendar()
	{
		crossobj.visibility="hidden";		
		if (crossMonthObj != null){crossMonthObj.visibility="hidden";}
		if (crossYearObj !=null){crossYearObj.visibility="hidden";}
	    showElement( 'SELECT' );
		showElement( 'APPLET' );
		try
		{
			frameobj.visibility="hidden";
		}catch(eee){}
	}

	function padZero(num) {
		return (num< 10)? '0' + num : num ;
	}

	function constructDate(d,m,y)
	{
		sTmp = dateFormat;
		sTmp = sTmp.replace("dd","<e>");
		sTmp = sTmp.replace("d","<d>");
		sTmp = sTmp.replace("<e>",padZero(d));
		if(d<9)
		{
			sTmp = sTmp.replace("<d>","0"+d);
		}else
		{
			sTmp = sTmp.replace("<d>",d);
		}
		sTmp = sTmp.replace("mmmm","<p>");
		sTmp = sTmp.replace("mmm","<o>");
		sTmp = sTmp.replace("mm","<n>");
		sTmp = sTmp.replace("m","<m>");
		if(m<9)
		{
			sTmp = sTmp.replace("<m>","0"+(m+1));
		}else
		{
			sTmp = sTmp.replace("<m>",m+1);
		}
		sTmp = sTmp.replace("<n>",padZero(m+1));
		sTmp = sTmp.replace("<o>",monthName[m]);
		sTmp = sTmp.replace("<p>",monthName2[m]);
		sTmp = sTmp.replace("yyyy",y);
		return sTmp.replace ("yy",padZero(y%100));
	}
	//取字符串 str 右边 x 个子串
	function Right(str,x)
	{
		var str_length=str.lenght;
		return str.substring(str.length-x,str_length);
	}
	//取字符串 str 左边 x 个子串
	function Left(str,x)
	{
		return str.substring(1,x);
	}

	function closeCalendar()
	{
		var sTmp;
		var outDate;
		var outTime;
		outDate = constructDate(dateSelected,monthSelected,yearSelected);
		outTime = Right("0"+document.getElementById("time_hh").value,2)+ ":" +Right("0"+document.getElementById("time_mm").value,2)+":00";
		var needaddtime=false;
		try
		{
			if (document.getElementById("include_time").checked)//如果用户选择包括时间		
			{
				needaddtime=true;
			}
			if(ctlToPlaceValue.getAttribute("includetime")=="no")
			{
				needaddtime=false;
			}
			if(!needaddtime)
			{
				document.getElementById("include_time_tr").style.display="none";
			}
		}catch(eee){}
		if (needaddtime)//如果用户选择包括时间		
		{
			outDate=outDate+" "+outTime;
		}
		hideCalendar();		
		ctlToPlaceValue.value=outDate;
	}


	function StartDecMonth()
	{
		intervalID1=setInterval("decMonth()",80);
	}

	function StartIncMonth()
	{
		intervalID1=setInterval("incMonth()",80);
	}

	function incMonth () {
		monthSelected++
		if (monthSelected>11) {
			monthSelected=0;
			yearSelected++;
		}
		constructCalendar();
	}

	function decMonth () {
		monthSelected--;
		if (monthSelected<0) {
			monthSelected=11;
			yearSelected--;
		}
		constructCalendar();
	}

	function constructMonth() {
		popDownYear()
		if (!monthConstructed) {
			sHTML =	""
			for	(i=0; i<12;	i++) {
				sName =	monthName[i];
				if (i==monthSelected){
					sName =	"<B>" +	sName +	"</B>";
				}
				sHTML += "<tr><td id='m" + i + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='monthConstructed=false;monthSelected=" + i + ";constructCalendar();popDownMonth();event.cancelBubble=true'>&nbsp;" + sName + "&nbsp;</td></tr>";
			}

			document.getElementById("selectMonth").innerHTML = "<table width=70	style='font-family:arial; font-size:11px; border-width:1; border-style:solid; border-color:#a0a0a0;' bgcolor='#FFFFDD' cellspacing=0 onmouseover='clearTimeout(timeoutID1)'	onmouseout='clearTimeout(timeoutID1);timeoutID1=setTimeout(\"popDownMonth()\",100);event.cancelBubble=true'>" +	sHTML +	"</table>";

			monthConstructed=true;
		}
	}

	function popUpMonth() {
		constructMonth();
		crossMonthObj.visibility = (my_dom||view_is_ie)? "visible"	: "show";
		crossMonthObj.left = parseInt(crossobj.left) + 50;
		crossMonthObj.top =	parseInt(crossobj.top) + 26;

		hideElement( 'SELECT', document.getElementById("selectMonth") );
		hideElement( 'APPLET', document.getElementById("selectMonth") );			
	}

	function popDownMonth()	{
		crossMonthObj.visibility= "hidden";
	}

	function incYear() {
		for	(i=0; i<7; i++){
			newYear	= (i+nStartingYear)+1;
			if (newYear==yearSelected)
			{ txtYear =	"&nbsp;<B>"	+ newYear +	"</B>&nbsp;"; }
			else
			{ txtYear =	"&nbsp;" + newYear + "&nbsp;"; }
			document.getElementById("y"+i).innerHTML = txtYear;
		}
		nStartingYear ++;
		bShow=true;
	}

	function decYear() {
		for	(i=0; i<7; i++){
			newYear	= (i+nStartingYear)-1
			if (newYear==yearSelected)
			{ txtYear =	"&nbsp;<B>"	+ newYear +	"</B>&nbsp;" }
			else
			{ txtYear =	"&nbsp;" + newYear + "&nbsp;" }
			document.getElementById("y"+i).innerHTML = txtYear
		}
		nStartingYear --;
		bShow=true;
	}

	function selectYear(nYear)
	{
		yearSelected=parseInt(nYear+nStartingYear);
		yearConstructed=false;
		constructCalendar();
		popDownYear();
	}

	function constructYear() {
		popDownMonth();
		sHTML =	"";
		if (!yearConstructed)
		{
			sHTML =	"<tr><td align='center'	onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='clearInterval(intervalID1);this.style.backgroundColor=\"\"' style='cursor:pointer'	onmousedown='clearInterval(intervalID1);intervalID1=setInterval(\"decYear()\",30)' onmouseup='clearInterval(intervalID1)'>-</td></tr>";
			j =0;
			nStartingYear =	yearSelected-3;
			for	(i=(yearSelected-3); i<=(yearSelected+3); i++) {
				sName =	i;
				if (i==yearSelected){
					sName =	"<B>" +	sName +	"</B>";
				}

				sHTML += "<tr><td id='y" + j + "' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='this.style.backgroundColor=\"\"' style='cursor:pointer' onclick='selectYear("+j+");event.cancelBubble=true'>&nbsp;" + sName + "&nbsp;</td></tr>";
				j ++;
			}

			sHTML += "<tr><td align='center' onmouseover='this.style.backgroundColor=\"#FFCC99\"' onmouseout='clearInterval(intervalID2);this.style.backgroundColor=\"\"' style='cursor:pointer' onmousedown='clearInterval(intervalID2);intervalID2=setInterval(\"incYear()\",30)'	onmouseup='clearInterval(intervalID2)'>+</td></tr>";

			document.getElementById("selectYear").innerHTML	= "<table width=44 style='font-family:arial; font-size:11px; border-width:1; border-style:solid; border-color:#a0a0a0;'	bgcolor='#FFFFDD' onmouseover='clearTimeout(timeoutID2)' onmouseout='clearTimeout(timeoutID2);timeoutID2=setTimeout(\"popDownYear()\",100)' cellspacing=0>"	+ sHTML	+ "</table>";

			yearConstructed	= true;
		}
	}

	function popDownYear() {
		clearInterval(intervalID1);
		clearTimeout(timeoutID1);
		clearInterval(intervalID2);
		clearTimeout(timeoutID2);
		crossYearObj.visibility= "hidden";
	}

	function popUpYear()
	{
		var	leftOffset;
		constructYear();
		crossYearObj.visibility	= (my_dom||view_is_ie)? "visible" : "show";
		leftOffset = parseInt(crossobj.left) + document.getElementById("spanYear").offsetLeft;
		if (view_is_ie)
		{
			leftOffset += 6;
		}
		crossYearObj.left =leftOffset;
		crossYearObj.top = parseInt(crossobj.top) +26;
	}

   function WeekNbr(n) {
      // Algorithm used:
      // From Klaus Tondering's Calendar document (The Authority/Guru)
      // hhtp://www.tondering.dk/claus/calendar.html
      // a = (14-month) / 12
      // y = year + 4800 - a
      // m = month + 12a - 3
      // J = day + (153m + 2) / 5 + 365y + y / 4 - y / 100 + y / 400 - 32045
      // d4 = (J + 31741 - (J mod 7)) mod 146097 mod 36524 mod 1461
      // L = d4 / 1460
      // d1 = ((d4 - L) mod 365) + L
      // WeekNumber = d1 / 7 + 1
 
      year = n.getFullYear();
      month = n.getMonth() + 1;
      if (startAt == 0) {
         day = n.getDate() + 1;
      }
      else {
         day = n.getDate();
      }
 
      a = Math.floor((14-month) / 12);
      y = year + 4800 - a;
      m = month + 12 * a - 3;
      b = Math.floor(y/4) - Math.floor(y/100) + Math.floor(y/400);
      J = day + Math.floor((153 * m + 2) / 5) + 365 * y + b - 32045;
      d4 = (((J + 31741 - (J % 7)) % 146097) % 36524) % 1461;
      L = Math.floor(d4 / 1460);
      d1 = ((d4 - L) % 365) + L;
      week = Math.floor(d1/7) + 1;
 
      return week;
   }


	function resizeFrameSize()
	{
		try
		{
			frameobj.top=crossobj.top;
			frameobj.left=crossobj.left;
			var myobj= document.getElementById("calendar");
			frameobj.width=frameobj.height=0;
			frameobj.width=myobj.clientWidth;
			frameobj.height=myobj.clientHeight;
		}catch(ee){}
	}


	function constructCalendar()
	{
		var aNumDays = Array (31,0,31,30,31,30,31,31,30,31,30,31);
		var dateMessage;
		var	startDate =	new	Date (yearSelected,monthSelected,1);
		var endDate;

		if (monthSelected==1)
		{
			endDate	= new Date (yearSelected,monthSelected+1,1);
			endDate	= new Date (endDate	- (24*60*60*1000));
			numDaysInMonth = endDate.getDate();
		}
		else
		{
			numDaysInMonth = aNumDays[monthSelected];
		}

		datePointer	= 0;
		dayPointer = startDate.getDay() - startAt;
		
		if (dayPointer<0)
		{
			dayPointer = 6;
		}

		sHTML =	"<table	 border=0 style='font-family:verdana;font-size:11px;'><tr>";

		if (showWeekNumber==1)
		{
			sHTML += "<td width=27><b>" + weekString + "</b></td><td width=1 rowspan=7 bgcolor='#d0d0d0' style='padding:0px'><img src='"+imgDir+"divider.gif' width=1></td>";
		}

		for	(i=0; i<7; i++)
		{
			sHTML += "<td width='30' align='right'><B style='color:#000000' >"+ dayName[i]+"</B></td>";
		}
		sHTML +="</tr><tr>";
		
		if (showWeekNumber==1)
		{
			sHTML += "<td align=right>" + WeekNbr(startDate) + "&nbsp;</td>";
		}

		for	( var i=1; i<=dayPointer;i++ )
		{
			sHTML += "<td>&nbsp;</td>";
		}
	
		for	( datePointer=1; datePointer<=numDaysInMonth; datePointer++ )
		{
			dayPointer++;
			sHTML += "<td align=right>";
			sStyle=styleAnchor;
			if ((datePointer==odateSelected) &&	(monthSelected==omonthSelected)	&& (yearSelected==oyearSelected))
			{ sStyle+=styleLightBorder; }

			sHint = "";
			for (k=0;k<HolidaysCounter;k++)
			{
				if ((parseInt(Holidays[k].d)==datePointer)&&(parseInt(Holidays[k].m)==(monthSelected+1)))
				{
					if ((parseInt(Holidays[k].y)==0)||((parseInt(Holidays[k].y)==yearSelected)&&(parseInt(Holidays[k].y)!=0)))
					{
						sStyle+="background-color:#FFDDDD;";
						sHint+=sHint==""?Holidays[k].desc:"\n"+Holidays[k].desc;
					}
				}
			}

			var regexp= /\"/g;
			sHint=sHint.replace(regexp,"&quot;");

			dateMessage = "onmousemove='window.status=\""+selectDateMessage.replace("[date]",constructDate(datePointer,monthSelected,yearSelected))+"\"' onmouseout='window.status=\"\"' ";

			if ((datePointer==dateNow)&&(monthSelected==monthNow)&&(yearSelected==yearNow))
			{ sHTML += "<b><a "+dateMessage+" title=\"" + sHint + "\" style='"+sStyle+"' href='javascript:dateSelected="+datePointer+";closeCalendar();'><font color=#ff0000>&nbsp;" + datePointer + "</font>&nbsp;</a></b>";}
			else if	(dayPointer % 7 == (startAt * -1)+1)
			{ sHTML += "<a "+dateMessage+" title=\"" + sHint + "\" style='"+sStyle+"' href='javascript:dateSelected="+datePointer + ";closeCalendar();'>&nbsp;<font color=#909090>" + datePointer + "</font>&nbsp;</a>"; }
			else
			{ sHTML += "<a "+dateMessage+" title=\"" + sHint + "\" style='"+sStyle+"' href='javascript:dateSelected="+datePointer + ";closeCalendar();'>&nbsp;" + datePointer + "&nbsp;</a>"; }

			sHTML += "";
			if ((dayPointer+startAt) % 7 == startAt) { 
				sHTML += "</tr><tr>" 
				if ((showWeekNumber==1)&&(datePointer<numDaysInMonth))
				{
					sHTML += "<td align=right>" + (WeekNbr(new Date(yearSelected,monthSelected,datePointer+1))) + "&nbsp;</td>";
				}
			}
		}

		document.getElementById("content").innerHTML   = sHTML;
		document.getElementById("spanMonth").innerHTML = "&nbsp;" +	monthName[monthSelected] + "&nbsp;<IMG id='changeMonth' SRC='"+imgDir+"drop1.gif' WIDTH='12' HEIGHT='10' BORDER=0>";
		document.getElementById("spanYear").innerHTML =	"&nbsp;" + yearSelected	+ "&nbsp;<IMG id='changeYear' SRC='"+imgDir+"drop1.gif' WIDTH='12' HEIGHT='10' BORDER=0>";
		try
		{
			window.setTimeout("resizeFrameSize()",30);
		}catch(ee){}
		
		var needaddtime=false;
		try
		{
			if (document.getElementById("include_time").checked)//如果用户选择包括时间		
			{
				needaddtime=true;
			}
			if(ctlToPlaceValue.getAttribute("includetime")=="no")
			{
				needaddtime=false;
			}
			if(!needaddtime)
			{
				document.getElementById("include_time_tr").style.display="none";
			}
		}catch(eee){}
	}
	
	

	function popUpCalendar(ctl,ctl2, format) 
	{
	   
	   	if (ctl.readOnly && ctl.readOnly==true) return;
       	if (ctl.disabled==true) return;
		var now=new Date();
		var needchange=false;
		try{now=new Date(ctl.value);}catch(eeee){needchange=true;}
		now=new Date();
		if(needchange || ctl.value=="0000-00-00 00:00:00")
	   	{
			ctl.value=now.getYear()+"-"+(now.getMonth()+1)+"-"+now.getDate()+" 00:00:00";
	   	}
		document.getElementById("time_hh").value=Right("0"+now.getHours(),2);
		document.getElementById("time_mm").value=Right("0"+now.getMinutes(),2);		
		try
		{
		    var tempdata=ctl.value.split(' ');
		    var ls=tempdata[1].split(":");
		    var hour=parseInt(ls[0]);
		    var minute=parseInt(ls[1]);		    
		    if(hour>=0 && hour<=24 && hour!=undefined && hour!=NaN)
		    {
		        document.getElementById("time_hh").value=Right("000"+""+hour,2);
		    }
		    if(minute>=0 && minute<=56 && minute!=undefined && minute!=NaN)
		    {
		        document.getElementById("time_mm").value=Right("000"+""+minute,2);
		    }
		}catch(eeee){}
		var	leftpos=0;
		var	toppos=0;
		if (bPageLoaded)
		{
			if ( crossobj.visibility =="hidden" )
			{
				
				ctlToPlaceValue	= ctl2;
				dateFormat=format;
				
				formatChar = " ";
				aFormat	= dateFormat.split(formatChar);
				if (aFormat.length<3)
				{
					formatChar = "/";
					aFormat	= dateFormat.split(formatChar);
					if (aFormat.length<3)
					{
						formatChar = ".";
						aFormat	= dateFormat.split(formatChar);
						if (aFormat.length<3)
						{
							formatChar = "-";
							aFormat	= dateFormat.split(formatChar);
							if (aFormat.length<3)
							{
								// invalid date	format
								formatChar="";
							}
						}
					}
				}
				tokensChanged =	0;
				if ( formatChar	!= "" )
				{
					// use user's date
					aData =	ctl2.value.split(formatChar);

					for	(i=0;i<3;i++)
					{
						if ((aFormat[i]=="d") || (aFormat[i]=="dd"))
						{
							dateSelected = parseInt(aData[i], 10);
							tokensChanged ++;
						}
						else if	((aFormat[i]=="m") || (aFormat[i]=="mm"))
						{
							monthSelected =	parseInt(aData[i], 10) - 1;
							tokensChanged ++;
						}
						else if	(aFormat[i]=="yyyy")
						{
							yearSelected = parseInt(aData[i], 10);
							tokensChanged ++;
						}
						else if	(aFormat[i]=="mmm")
						{
							for	(j=0; j<12;	j++)
							{
								if (aData[i]==monthName[j])
								{
									monthSelected=j;
									tokensChanged ++;
								}
							}
						}
						else if	(aFormat[i]=="mmmm")
						{
							for	(j=0; j<12;	j++)
							{
								if (aData[i]==monthName2[j])
								{
									monthSelected=j;
									tokensChanged ++;
								}
							}
						}
					}
				}

				if ((tokensChanged!=3)||isNaN(dateSelected)||isNaN(monthSelected)||isNaN(yearSelected))
				{
					dateSelected = dateNow;
					monthSelected =	monthNow;
					yearSelected = yearNow;
				}

				odateSelected=dateSelected;
				omonthSelected=monthSelected;
				oyearSelected=yearSelected;

				aTag = ctl;
				do {
					aTag = aTag.offsetParent;
					leftpos	+= aTag.offsetLeft;
					toppos += aTag.offsetTop;
				} while(aTag.tagName!="BODY");

				
				//超出范围处理
				var crossobjLeft,crossobjTop;
				
				crossobjLeft =	fixedX==-1 ? ctl.offsetLeft	+ leftpos :	fixedX;
				crossobj.top = fixedY==-1 ?	ctl.offsetTop +	toppos + ctl.offsetHeight +	2 :	fixedY;
				
				crossobj.left = crossobjLeft>(window.document.body.offsetWidth-227)?(window.document.body.offsetWidth-237):crossobjLeft;
				
				constructCalendar (1, monthSelected, yearSelected);
				
				try
				{
					frameobj.width=230;//crossobj.width;
					frameobj.height=160;//crossobj.height;
					frameobj.top=crossobj.top;
					frameobj.left=crossobj.left;
				}catch(ee){}
				
				
				crossobj.visibility=(my_dom||view_is_ie)? "visible" : "show";				
				frameobj.visibility=(my_dom||view_is_ie)? "visible" : "show";
;
				hideElement( 'SELECT', document.getElementById("calendar") );
				hideElement( 'APPLET', document.getElementById("calendar") );			

				bShow = true;
			}
			else
			{
				hideCalendar();
				if (ctlNow!=ctl) {popUpCalendar(ctl, ctl2, format);}
			}
			ctlNow = ctl;
		}
		
		var needaddtime=false;
		try
		{
			if (document.getElementById("include_time").checked)//如果用户选择包括时间		
			{
				needaddtime=true;
			}
			if(ctlToPlaceValue.getAttribute("includetime")=="no")
			{
				document.getElementById("include_time").checked=needaddtime=false;
			}else
			{
				document.getElementById("include_time").checked=needaddtime=true;
				document.getElementById("include_time").disabled=true;
			}
			
			if(!needaddtime)
			{
				document.getElementById("include_time_inputcheck").style.display="inline";
				document.getElementById("include_time_showmsg").style.display="inline"; 
			}else
			{
				document.getElementById("include_time_inputcheck").style.display="none";
				document.getElementById("include_time_showmsg").style.display="none"; 
			}
		}catch(eee){}
		
	}
	document.onkeypress = function hidecal1 (){ 
		if (event.keyCode==27) 
		{
			hideCalendar();
		}
	}
	document.onclick = function hidecal2 ()
	{
		if (!bShow)
		{
			hideCalendar();
		}
		bShow = false;
	}
	
	if(view_is_ie)
	{
		initmeme();
	}
	else
	{
	    var my_oldonload=window.onload;
		window.onload=function()
		{
		    try
		    {
		        if(my_oldonload)
		        {
		            my_oldonload();
		        }
		    }catch(eee){}
		    initmeme();
		}
	}
